Bug 75635 - mailman mm_cfg.py does not have required line for sendmail
mailman mm_cfg.py does not have required line for sendmail
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 10:57 EDT by Joshua Daniel Franklin
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-24 10:32:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Daniel Franklin 2002-10-10 10:57:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
When installing mailman from the rpm package, the default MTA is left as
'SMTPDirect' though the /usr/share/doc/mailmain-{foo}/README.REDHAT contains
instructions for setting up sendmail as the MTA. This can be fixed by adding the
to the /var/mailman/Mailman/mm_cfg.py file. If this setting does not
match your actual MTA, outgoing email will not be delivered.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.If mailman is installed, uninstall it.
2.Install the mailman rpm
3.Check the file /var/mailman/Mailman/mm_cfg.py

Actual Results:  The DELIVERY_MODULE = 'Sendmail' line is not present in 

Expected Results:  The DELIVERY_MODULE = 'Sendmail' line should be present in 

Additional info:

This has been reported on the mailman mailing list 


and I experienced it myself.
Comment 1 Mark Cooke 2003-01-20 21:31:28 EST
This also occurs as well:

Traceback (most recent call last):
  File "/var/mailman/cron/qrunner", line 84, in ?
    from Mailman import Utils
  File "/var/mailman/Mailman/Utils.py", line 32, in ?
    import random
  File "/usr/lib/python2.2/random.py", line 91, in ?
    NV_MAGICCONST = 4 * _exp(-0.5)/_sqrt(2.0)
ValueError: math domain error

Again from the cronjob for mailman
Comment 2 Mark Cooke 2003-01-20 21:33:03 EST
please ignore the last comment, I stupildy cut and past into the wrong window.

Comment 3 John Dennis 2003-01-24 10:32:26 EST
Sendmail use with mailman is now depricated as of version 2.1, see the comment
in Defaults.py which I've included below. I'm going to mark this as not a bug.
The math doman error is in bug #82296

# Final delivery module for outgoing mail.  This handler is used for message
# delivery to the list via the smtpd, and to an individual user.  This value
# must be a string naming a module in the Mailman.Handlers package.
# WARNING: Sendmail has security holes and should be avoided.  In fact, you
# must read the Mailman/Handlers/Sendmail.py file before it will work for
# you.

Note You need to log in before you can comment on or make changes to this bug.